Bug 431672 - Review Request: scythia - Just a small ftp client
Review Request: scythia - Just a small ftp client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 06:46 EST by Krzysztof Kurzawski
Modified: 2008-02-08 09:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 09:17:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Kurzawski 2008-02-06 06:46:04 EST
Spec URL: http://kurzawa.nonlogic.org/rpm/scythia/scythia.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/scythia/scythia-0.9.3-2.1.fc8.src.rpm
Description: Scythia project is an simple and portable Ftp client. It does not claim to be
able to replace the biggest (no SSH etc.), but only to satisfy some persons
and to give us a bigger experience in programming.
Comment 1 Parag AN(पराग) 2008-02-06 07:36:56 EST
1)license is GPLv3+
2)can it be possible to add GenericName and comment for french also in .desktop
like you did for pl_PL
Comment 2 Krzysztof Kurzawski 2008-02-06 08:06:31 EST
Fixed
Spec URL: http://kurzawa.nonlogic.org/rpm/scythia/scythia.spec
SRPM URL: http://kurzawa.nonlogic.org/rpm/scythia/scythia-0.9.3-2.2.fc8.src.rpm

Thanks for review!
Comment 3 Parag AN(पराग) 2008-02-07 01:24:16 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=400409
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
2286269b90c84f52463580a271f608b5  scythia_0.9.3-2-src.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ gtk-update-icon-cache scriptlets are used.
+ Desktop file installed correctly.
+ GUI app.

APPROVED.
Comment 4 Krzysztof Kurzawski 2008-02-07 04:27:30 EST
New Package CVS Request
=======================
Package Name: scythia
Short Description: Just a small ftp client
Owners: kurzawa
Branches: F-7 F-8
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-02-07 12:19:15 EST
cvs done.
Comment 6 Krzysztof Kurzawski 2008-02-08 09:17:56 EST
Imported and built. Thanks again for review!

Note You need to log in before you can comment on or make changes to this bug.